#pragma once
#include <map>
struct M_StarLotteryEventCFGData
{
	//事件类型
	int mType;
	//每日增加
	int mDailyADD;
	//累计增加
	int mTotalADD;
};

class M_StarLotteryEventCFG
{
public:
private:
	static std::auto_ptr<M_StarLotteryEventCFG> msSingleton;
public:
	int GetCount();
	const M_StarLotteryEventCFGData* GetData(int Type);
	const std::map<int, M_StarLotteryEventCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_StarLotteryEventCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_StarLotteryEventCFGData> mMapData;
};
